Index: tests/test_recurring_phase_sequence.py
===================================================================
--- tests/test_recurring_phase_sequence.py	(revision daa22762d0f497f098e4974c25488ee08af22cd4)
+++ tests/test_recurring_phase_sequence.py	(revision d7a66adcde1b540a909fdf9593a32fcc0db09e1b)
@@ -10,7 +10,5 @@
     @pytest.fixture
     def recurring_phase_sequence(self):
-        phase_list = [Phase("Huddle", 10), Phase("Tasking", 5),
-                      Phase("Work", 45), Phase("Break", 15)]
-        return RecurringPhaseSequence(phase_list, 3)
+        return RecurringPhaseSequence.default()
 
     def test_from_json(self):
@@ -19,6 +17,6 @@
         assert isinstance(sequence, RecurringPhaseSequence)
         assert sequence.initial_repetitions == 3
-        assert len(sequence.phase_list) == 4
-        assert sequence.phase_list[0].title == "Huddle"
+        assert len(sequence.phase_list) == 3
+        assert sequence.phase_list[0].title == "Tasking"
 
     def test_to_json(self, recurring_phase_sequence):
@@ -28,9 +26,9 @@
         assert data['initial_repetitions'] == 3
         assert data['passes_left'] == 3
-        assert len(data['phase_list']) == 4
+        assert len(data['phase_list']) == 3
 
     def test_initial_state(self, recurring_phase_sequence):
         assert recurring_phase_sequence.state == "initial"
-        assert recurring_phase_sequence.current_phase.title == "Huddle"
+        assert recurring_phase_sequence.current_phase.title == "Tasking"
         assert recurring_phase_sequence.passes_left == 3
 
@@ -41,12 +39,12 @@
 
     def test_phases_left_in_pass(self, recurring_phase_sequence):
-        assert recurring_phase_sequence.phases_left_in_pass() == 3
+        assert recurring_phase_sequence.phases_left_in_pass() == 2
         recurring_phase_sequence.tick(10)
-        assert recurring_phase_sequence.phases_left_in_pass() == 2
+        assert recurring_phase_sequence.phases_left_in_pass() == 1
 
     def test_upcoming_phases_in_pass(self, recurring_phase_sequence):
         upcoming = recurring_phase_sequence.upcoming_phases_in_pass()
-        assert len(upcoming) == 3
-        assert upcoming[0].title == "Tasking"
+        assert len(upcoming) == 2
+        assert upcoming[0].title == "Work"
 
     def test_ticks_left(self, recurring_phase_sequence):
@@ -58,22 +56,18 @@
         assert recurring_phase_sequence.ticks_left == (total_ticks - 10)
 
-    def test_finished(self, recurring_phase_sequence):
-        assert not recurring_phase_sequence.finished()
+    def test_completed(self, recurring_phase_sequence):
+        assert not recurring_phase_sequence.completed()
         for _ in range(3):
             for phase in recurring_phase_sequence.phase_list:
                 recurring_phase_sequence.tick(phase.initial_ticks)
-        assert recurring_phase_sequence.finished()
+        assert recurring_phase_sequence.completed()
 
     def test_abort(self, recurring_phase_sequence):
         recurring_phase_sequence.abort()
-        assert recurring_phase_sequence.state == "finished"
-        assert recurring_phase_sequence.current_phase.finished()
+        assert recurring_phase_sequence.state == "aborted"
+        assert recurring_phase_sequence.current_phase.aborted()
 
     def test_tick_progression(self, recurring_phase_sequence):
-        recurring_phase_sequence.tick(10)
-        assert recurring_phase_sequence.current_phase.title == "Tasking"
-        assert recurring_phase_sequence.passes_left == 3
-
-        recurring_phase_sequence.tick(5)
+        recurring_phase_sequence.tick(6)
         assert recurring_phase_sequence.current_phase.title == "Work"
         assert recurring_phase_sequence.passes_left == 3
@@ -84,10 +78,10 @@
 
         recurring_phase_sequence.tick(15)
-        assert recurring_phase_sequence.current_phase.title == "Huddle"
+        assert recurring_phase_sequence.current_phase.title == "Tasking"
         assert recurring_phase_sequence.passes_left == 2
 
     def test_unrolled(self, recurring_phase_sequence):
         unrolled_phases = recurring_phase_sequence.unrolled()
-        assert len(unrolled_phases) == 12
-        assert unrolled_phases[0].title == "Huddle"
+        assert len(unrolled_phases) == 9
+        assert unrolled_phases[0].title == "Tasking"
         assert unrolled_phases[-1].title == "Break"
